ES | EN

📄 MIPYME Documents

Update company branch

PUT
URL del endpoint https://api-billing.koywe.com/V1/company_branches/{company_branch_id}
Requiere autenticación

Autenticación

Envía la cabecera Authorization: Bearer <token> (obtenido en POST /auth) en los endpoints protegidos.

Parámetros

NombreUbicaciónTipoRequeridoDescripción
company_branch_idpathstring

Cuerpo de la solicitud — campos

CampoTipoObligatoriedadDescripción
account_idintegerOpcionalID of the associated account
company_branch_idintegerOpcionalID of the company branch
namestringOpcionalName of the company branch.
addressstringOpcionalAddress of the company branch.
districtstringOpcionalDistrict of the company branch.
citystringOpcionalCity of the company branch.
phonestringOpcionalPhone of the company branch.
company_branch_tax_codestringOpcionalTax code assigned to the company branch for fiscal and accounting purposes.
company_branch_internal_codestringOpcionalInternal code assigned to the company branch for identification within the system.
parent_company_branch_idintegerOpcionalID of the parent company branch.
user_permissionsobjectOpcional
user_permissions.user_idstringOpcionalUser ID associated to the subscription. Not used on API
user_permissions.user_namestringOpcional
user_permissions.has_branch_permissionnumberOpcional

Ejemplo JSON del cuerpo

{
    "account_id": 0,
    "company_branch_id": 0,
    "name": "string",
    "address": "string",
    "district": "string",
    "city": "string",
    "phone": "string",
    "company_branch_tax_code": "string",
    "company_branch_internal_code": "string",
    "parent_company_branch_id": 0,
    "user_permissions": {
        "user_id": "string",
        "user_name": "string",
        "has_branch_permission": 0
    }
}

Respuestas

Product location updated successfully